POST https://webhook.example.com
application/json

Body

Responses

  • 200 application/json

    Ok

    Hide response attributes Show response attributes object
    • statusUpdateURL string Required
    • menuUpdateURL string Required
    • snoozeUnsnoozeURL string Required
    • busyModeURL string Required
POST /yourwebhook.com/register
Request examples
{
  "status": "register",
  "locationId": "{{locationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "channelLinkName": "Order Boss",
  "channelLocationId": "{{externalChannelLocationId}}"
}
{
  "status": "active",
  "locationId": "{{locationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "channelLinkName": "Order Boss",
  "channelLocationId": "{{externalChannelLocationId}}"
}
{
  "status": "inactive",
  "locationId": "{{locationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "channelLinkName": "Order Boss",
  "channelLocationId": "{{externalChannelLocationId}}"
}
Response examples (200)
{
  "ChannelRegistration": [
    {
      "busyModeURL": "{{https://integrator.com/busyMode}}",
      "menuUpdateURL": "{{https://integrator.com/menuUpdate}}",
      "statusUpdateURL": "{{https://integrator.com/orderstatusUpdate}}",
      "courierUpdateURL": "{{https://integrator.com/courierUpdateURL}}",
      "snoozeUnsnoozeURL": "{{https://integrator.com/snoozeUnsnooze}}",
      "updatePrepTimeURL": "{{https://integrator.com/updatePrepTimeURL}}"
    }
  ]
}